Package org.gradle.api.artifacts

# Interface DependencyResolutionListener

public interface DependencyResolutionListener
A `DependencyResolutionListener` is notified as dependencies are resolved.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterResolve(ResolvableDependencies dependencies)`
  This method is called immediately after a set of dependencies are resolved.
  `void`
  `beforeResolve(ResolvableDependencies dependencies)`
  This method is called immediately before a set of dependencies are resolved.

- ## Method Details

  - ### beforeResolve

    void beforeResolve(ResolvableDependencies dependencies)
    This method is called immediately before a set of dependencies are resolved.
    Parameters:
      `dependencies` - The set of dependencies to be resolved.

  - ### afterResolve

    void afterResolve(ResolvableDependencies dependencies)
    This method is called immediately after a set of dependencies are resolved.
    Parameters:
      `dependencies` - The set of dependencies resolved.